import tailwindcss from "@tailwindcss/vite";
import { sveltekit } from '@sveltejs/kit/vite';
import { defineConfig } from 'vite';

const buildTime = new Intl.DateTimeFormat('da-DK', {
	day: '2-digit',
	month: '2-digit',
	year: 'numeric',
	hour: '2-digit',
	minute: '2-digit',
	hour12: false,
	timeZone: 'Europe/Copenhagen'
}).format(new Date());

export default defineConfig({
	plugins: [tailwindcss(), sveltekit()],
	define: {
		__BUILD_TIME__: JSON.stringify(buildTime)
	}
});
